/*
 * COMMENT
 */

import java.awt.*;

public class BandOfVillains {
	public static final int MAX_NUMBER_OF_VILLAINS = A3Constants.MAX_NUMBER_OF_VILLAINS;

	private int upTo;
	private Villain[] enemies = new Villain[MAX_NUMBER_OF_VILLAINS];

	public BandOfVillains() {
		upTo = 0;
	}

	public void addAVillain() {
		if (MAX_NUMBER_OF_VILLAINS != upTo) {
			enemies[upTo] = new Villain();
			enemies[upTo].setVisible(true);
			upTo++;
		}
	}

	public int getNumberOfVillainsRemaining() {
		int num = 0;
		for (int i = 0; i < upTo; i++){
			if (null != enemies[i] /*&& enemies[i].getVisible()*/){
				num ++;
			}
		}
		System.out.println("----==== the number " + num);
		return num;
	}
    public boolean enemyHitsHero(Hero double07){
    	for(int i = 0; i < upTo; i++){
    		if (enemies[i].getVisible() && enemies[i].getArea().intersects(double07.getArea())){
        		return  true;
        	}
    	}//if (enemies[i].getVisible()){
    	return false;
    }

	public void moveVillains() {
		int remained =  getNumberOfVillainsRemaining();
		for (int i = 0; i < remained; i++){
			enemies[i].move();
		}
	}

	public void drawVillains(Graphics g) {
		int remained =  getNumberOfVillainsRemaining();
		for (int i = 0; i < remained; i++){
			enemies[i].draw(g);
		}
		System.out.println("drawVillains runed times: " + remained);
	}
}